Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence
Class AnnotationPersistenceXMLMetaDataParser

    java.lang.Object
      org.apache.openjpa.persistence.AnnotationPersistenceXMLMetaDataParser

    public class AnnotationPersistenceXMLMetaDataParser

extends Object

JAXB xml annotation metadata parser.

Since:
  1.0.0
Author:
  Catalina Wei

Constructor Summary
`AnnotationPersistenceXMLMetaDataParser(OpenJPAConfiguration conf)` Constructor; supply configuration.

Method Summary
`void` | `clear()` Clear caches.
`OpenJPAConfiguration` | `getConfiguration()` Configuration supplied on construction.
`Log` | `getLog()` Metadata log.
`MetaDataRepository` | `getRepository()` Returns the repository for this parser.
`void` | `parse(Class<?> cls)` Parse persistence metadata for the given field metadata.
`void` | `setRepository(MetaDataRepository repos)` Set the metadata repository for this parser.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationPersistenceXMLMetaDataParser

    public AnnotationPersistenceXMLMetaDataParser(OpenJPAConfiguration conf)

  Constructor; supply configuration.

Method Detail

### getConfiguration

    public OpenJPAConfiguration getConfiguration()

  Configuration supplied on construction.

### getLog

    public Log getLog()

  Metadata log.

### getRepository

    public MetaDataRepository getRepository()

  Returns the repository for this parser. If none has been set, create a new repository and sets it.

### setRepository

    public void setRepository(MetaDataRepository repos)

  Set the metadata repository for this parser.

### clear

    public void clear()

  Clear caches.

### parse

    public void parse(Class<?> cls)

  Parse persistence metadata for the given field metadata. This parser/class is NOT threadsafe! The caller of this method needs to insure that the MetaData(/Mapping)Repository is locked prior to calling this method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.